DavenDaven Documentation
APIAPI ReferenceJobboardJobboard Job Offers

Update partially jobboard job offer

PATCH
/jobboard/job-offers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Jobboard Job offer partial DTO - The data transfer object for job offers with optional fields

title?|

Title of the job offer

reference?string

Main job offer reference

reference_2?|

Second job offer reference

reference_3?string

Third job offer reference

subsidiary?string

Subsidiary name

subsidiary_jobboard_id?string

Subsidiary's internal ID in the jobboard system

description?string

Description of the job offer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/jobboard/job-offers/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "message": "string",
  "data": [
    {
      "title": "Software Engineer",
      "reference": "REF123",
      "reference_2": "REF456",
      "reference_3": "REF789",
      "subsidiary": "Daven Corp",
      "subsidiary_jobboard_id": "SUB123",
      "description": "We are looking for a software engineer to join our team."
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}